package fr.cnam.joueur;

import java.rmi.*;

import fr.cnam.joueur.AgentInt;
import fr.cnam.espacetore.EspaceToreODInt;

public interface FactoryAgentInt extends Remote
{
  public AgentInt creerAgent(String nomClasseAgent,int couleur) throws RemoteException;
  public int getTauxMortalite() throws RemoteException;
  public EspaceToreODInt getEspaceTore() throws RemoteException;
  public String getPathClassesAgent() throws RemoteException;
  public int getPortRMI() throws RemoteException;
}